# Uses of Class
org.eclipse.gef.mvc.fx.models.FocusModel

Packages that use FocusModel
Package
Description
org.eclipse.gef.mvc.fx.behaviors
This package contains JavaFX/MVC.FX-specific `IBehavior` implementations.
org.eclipse.gef.mvc.fx.operations
This package contains all `IUndoableOperation` implementations contributed by MVC.FX.

## Uses of FocusModel in org.eclipse.gef.mvc.fx.behaviors

Methods in org.eclipse.gef.mvc.fx.behaviors that return FocusModel
Modifier and Type
Method
Description
`protected FocusModel`
FocusBehavior.`getFocusModel()`
Returns the `FocusModel` at which this `FocusBehavior` is registered for changes.

## Uses of FocusModel in org.eclipse.gef.mvc.fx.operations

Methods in org.eclipse.gef.mvc.fx.operations that return FocusModel
Modifier and Type
Method
Description
`protected FocusModel`
ChangeFocusOperation.`getFocusModel()`
Returns the `FocusModel` adapted to the viewer.